#
# TODO:
# - PLD it more
# - sbin/bin - change to bin?
# - finish ext_scripts bcond:
# -- check python related BR and R
# -- fix packaging python releated stuff
# -- create subpackage for airoscript
# -- fix directory for airoscript*.conf files
# -- fix installation of airoscript desktop files
#
# Conditional build:
%bcond_without	sqlite			# build without sqlite support
%bcond_without	experimental
%bcond_with	ext_scripts		# build with extra scripts (NFY)
%define		lib_ver		1.7.0

Summary:	Reliable 802.11 (wireless) sniffer and WEP/WPA-PSK key cracker
Summary(pl.UTF-8):	Pewny sniffer 802.11 (sieci bezprzewodowe) i łamacz kluczy WEP/WPA-PSK
Name:		aircrack-ng
Version:	1.7
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://download.aircrack-ng.org/%{name}-%{version}.tar.gz
# Source0-md5:	a918ea7146f91d8c799fb770c38f4bec
URL:		http://www.aircrack-ng.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cmocka-devel
BuildRequires:	ethtool
BuildRequires:	hwloc-devel
BuildRequires:	libgcrypt-devel >= 1.2.0
BuildRequires:	libnl-devel
BuildRequires:	libpcap-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
%{?with_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	zlib-devel
Requires:	ethtool
Requires:	grep
Requires:	iw
Requires:	usbutils
Requires:	wireless-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aircrack-ng is a set of tools for auditing wireless networks. It's an
enhanced/reborn version of aircrack. It consists of airodump-ng (an
802.11 packet capture program), aireplay-ng (an 802.11 packet
injection program), aircrack (static WEP and WPA-PSK cracking),
airdecap-ng (decrypts WEP/WPA capture files), and some tools to handle
capture files (merge, convert, etc.).

%description -l pl.UTF-8
aircrack-ng jest zestawem narzędzi do audytów sieci bezprzewodowych.
Jest to ulepszona/odnowiona wersja aircracka. Składa sie z programów
airodump-ng (do przechwytywania pakietów 802.11), aireplay-ng (do
wstrzykiwania pakietów 802.11), aircrack (do statycznego łamania WEP i
WPA-PSK), airdecap-ng (do odszyfrowywania przechwyconych plików
WEP/WPA) i paru narzędzi do obsługi plików przechwytów (merge,
convert, etc.).

%package devel
Summary:	Development files for %{name}
Summary(pl.UTF-8):	Pliki deweloperskie dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files for %{name}.

%description devel -l pl.UTF-8
Pliki deweloperskie dla %{name}

%prep
%setup -q
# Force python3 interpreter
sed -i -e 's|#!%{_bindir}/env python|#!%{_bindir}/python3|g' scripts/versuck-ng/versuck-ng

%build
# GCC LTO objects must be "fat" to avoid assembly errors
export CFLAGS="-ffat-lto-objects -fcommon"

%{__libtoolize}
%{__aclocal} -I build/m4/stubs -I build/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PYTHON=%{__python3} \
	ETHTOOL=/sbin/ethtool \
	--with-gcrypt \
	--enable-libnl \
	--with%{!?with_experimental:out}-experimental \
	--with%{!?with_ext_scripts:out}-ext-scripts \
	--with-%{!?with_sqlite:out}-sqlite3 \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f \( -name "*.la" -o -name "*.a" \) -delete -print

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README test patches
%attr(755,root,root) %{_bindir}/aircrack-ng
%attr(755,root,root) %{_bindir}/airdecap-ng
%attr(755,root,root) %{_bindir}/airdecloak-ng
%{?with_sqlite:%attr(755,root,root) %{_bindir}/airolib-ng}
%attr(755,root,root) %{_bindir}/ivstools
%attr(755,root,root) %{_bindir}/kstats
%attr(755,root,root) %{_bindir}/makeivs-ng
%attr(755,root,root) %{_bindir}/packetforge-ng
%attr(755,root,root) %{_bindir}/wpaclean
%attr(755,root,root) %{_sbindir}/airbase-ng
%attr(755,root,root) %{_sbindir}/aireplay-ng
%attr(755,root,root) %{_sbindir}/airmon-ng
%attr(755,root,root) %{_sbindir}/airodump-ng
%attr(755,root,root) %{_sbindir}/airodump-ng-oui-update
%attr(755,root,root) %{_sbindir}/airventriloquist-ng
%attr(755,root,root) %{_sbindir}/airserv-ng
%attr(755,root,root) %{_sbindir}/airtun-ng
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-%{lib_ver}.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-x86-avx-%{lib_ver}.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-x86-avx2-%{lib_ver}.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-x86-avx2.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-x86-avx.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-x86-sse2-%{lib_ver}.so
%attr(755,root,root) %{_libdir}/libaircrack-ce-wpa-x86-sse2.so
%attr(755,root,root) %{_libdir}/libaircrack-osdep-%{lib_ver}.so
%attr(755,root,root) %{_libdir}/libaircrack-osdep.so

%{_mandir}/man1/aircrack-ng.1*
%{_mandir}/man1/airdecap-ng.1*
%{_mandir}/man1/airdecloak-ng.1*
%{?with_sqlite:%{_mandir}/man1/airolib-ng.1*}
%{_mandir}/man1/besside-ng-crawler.1*
%{_mandir}/man1/ivstools.1*
%{_mandir}/man1/kstats.1*
%{_mandir}/man1/makeivs-ng.1*
%{_mandir}/man1/packetforge-ng.1*
%{_mandir}/man1/wpaclean.1*
%{_mandir}/man8/airbase-ng.8*
%{_mandir}/man8/aireplay-ng.8*
%{_mandir}/man8/airventriloquist-ng.8*
%{_mandir}/man8/airmon-ng.8*
%{_mandir}/man8/airodump-ng-oui-update.8*
%{_mandir}/man8/airodump-ng.8*
%{_mandir}/man8/airserv-ng.8*
%{_mandir}/man8/airtun-ng.8*

%if %{with experimental}
%attr(755,root,root) %{_bindir}/besside-ng-crawler
%attr(755,root,root) %{_bindir}/buddy-ng
%attr(755,root,root) %{_sbindir}/besside-ng
%attr(755,root,root) %{_sbindir}/easside-ng
%attr(755,root,root) %{_sbindir}/tkiptun-ng
%attr(755,root,root) %{_sbindir}/wesside-ng
%{_mandir}/man1/buddy-ng.1*
%{_mandir}/man8/besside-ng.8*
%{_mandir}/man8/easside-ng.8*
%{_mandir}/man8/tkiptun-ng.8*
%{_mandir}/man8/wesside-ng.8*
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%changelog
* Wed Nov 08 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/aircrack-ng.git;a=log;h=master

* Wed Nov 08 2023 Jan Rękorajski <baggins@pld-linux.org> f8ed0a1
- remove bogus python/graphviz deps
- build with python3
- rel 2

* Wed May 11 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 31226a3
- up to 1.7, adapterize

* Fri Oct 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4a0a71d
- up to 1.6

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2eaae0e
- up to 1.3

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a6ed2a
- release 2 (by relup.sh)

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> 79ecaca
- upgradable release

* Sun Apr 16 2017 Jan Rękorajski <baggins@pld-linux.org> a3476d3
- up to 1.2-rc4

* Tue Nov 24 2015 Szymon Siwek <sls@pld-linux.org> ca994d5
- added use_standard_sleep.patch; added Requires for airmon-ng script; rel. 0.2

* Tue Nov 17 2015 Szymon Siwek <sls@pld-linux.org> ee15198
- package bessid manual only with its binary

* Tue Nov 17 2015 Elan Ruusamäe <glen@delfi.ee> 05b22c1
- BR zlib-devel

* Tue Nov 17 2015 Szymon Siwek <sls@pld-linux.org> 41e6054
- more TODO about ext_scripts

* Tue Nov 17 2015 Szymon Siwek <sls@pld-linux.org> 7576d62
- TODO about find more deps done

* Tue Nov 17 2015 Szymon Siwek <sls@pld-linux.org> f377f5b
- added pldflags.patch

* Tue Nov 17 2015 Szymon Siwek <sls@pld-linux.org> 9a78113
- ext_scripts bcond needs more work

* Sun Nov 15 2015 Szymon Siwek <sls@pld-linux.org> b235dc0
- added install.patch

* Sun Nov 15 2015 Szymon Siwek <sls@pld-linux.org> 05fa972
- added bconds: pcre, sqlite, experimental, ext_scripts

* Sun Nov 15 2015 Szymon Siwek <sls@pld-linux.org> a111691
- unglobed files; added man8 manuals

* Sun Nov 15 2015 Szymon Siwek <sls@pld-linux.org> f8ad8da
- added BR: pkgconfig and libnl-devel

* Sun Nov 15 2015 Szymon Siwek <sls@pld-linux.org> 9491007
- removed mandir.patch; fixed in upstream

* Sun Nov 15 2015 Szymon Siwek <sls@pld-linux.org> 215cb53
- added rc2 to builddir name

